/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_87
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.compose.material3.tokens

import androidx.compose.ui.text.font.DeviceFontFamilyName
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.font.toFontFamily
import androidx.wear.compose.material3.DefaultTextStyle

internal object TypographyTokens {
    val ArcLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.ArcLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.ArcLargeWeight.toInt()),
                        variationSettings = TypographyVariableFontsTokens.ArcLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.ArcLargeWeight.toInt()),
            fontSize = TypeScaleTokens.ArcLargeSize,
            lineHeight = TypeScaleTokens.ArcLargeLineHeight,
            letterSpacing = TypeScaleTokens.ArcLargeTrackingTop,
        )
    val ArcMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.ArcMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.ArcMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.ArcMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.ArcMediumWeight.toInt()),
            fontSize = TypeScaleTokens.ArcMediumSize,
            lineHeight = TypeScaleTokens.ArcMediumLineHeight,
            letterSpacing = TypeScaleTokens.ArcMediumTrackingTop,
        )
    val ArcSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.ArcSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.ArcSmallWeight.toInt()),
                        variationSettings = TypographyVariableFontsTokens.ArcSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.ArcSmallWeight.toInt()),
            fontSize = TypeScaleTokens.ArcSmallSize,
            lineHeight = TypeScaleTokens.ArcSmallLineHeight,
            letterSpacing = TypeScaleTokens.ArcSmallTrackingTop,
        )
    val BodyExtraSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.BodyExtraSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.BodyExtraSmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.BodyExtraSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.BodyExtraSmallWeight.toInt()),
            fontSize = TypeScaleTokens.BodyExtraSmallSize,
            lineHeight = TypeScaleTokens.BodyExtraSmallLineHeight,
            letterSpacing = TypeScaleTokens.BodyExtraSmallTracking,
        )
    val BodyLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.BodyLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.BodyLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.BodyLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.BodyLargeWeight.toInt()),
            fontSize = TypeScaleTokens.BodyLargeSize,
            lineHeight = TypeScaleTokens.BodyLargeLineHeight,
            letterSpacing = TypeScaleTokens.BodyLargeTracking,
        )
    val BodyMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.BodyMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.BodyMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.BodyMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.BodyMediumWeight.toInt()),
            fontSize = TypeScaleTokens.BodyMediumSize,
            lineHeight = TypeScaleTokens.BodyMediumLineHeight,
            letterSpacing = TypeScaleTokens.BodyMediumTracking,
        )
    val BodySmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.BodySmallFont.name),
                        weight = FontWeight(TypeScaleTokens.BodySmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.BodySmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.BodySmallWeight.toInt()),
            fontSize = TypeScaleTokens.BodySmallSize,
            lineHeight = TypeScaleTokens.BodySmallLineHeight,
            letterSpacing = TypeScaleTokens.BodySmallTracking,
        )
    val DisplayLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.DisplayLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.DisplayLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.DisplayLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.DisplayLargeWeight.toInt()),
            fontSize = TypeScaleTokens.DisplayLargeSize,
            lineHeight = TypeScaleTokens.DisplayLargeLineHeight,
            letterSpacing = TypeScaleTokens.DisplayLargeTracking,
        )
    val DisplayMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.DisplayMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.DisplayMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.DisplayMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.DisplayMediumWeight.toInt()),
            fontSize = TypeScaleTokens.DisplayMediumSize,
            lineHeight = TypeScaleTokens.DisplayMediumLineHeight,
            letterSpacing = TypeScaleTokens.DisplayMediumTracking,
        )
    val DisplaySmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.DisplaySmallFont.name),
                        weight = FontWeight(TypeScaleTokens.DisplaySmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.DisplaySmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.DisplaySmallWeight.toInt()),
            fontSize = TypeScaleTokens.DisplaySmallSize,
            lineHeight = TypeScaleTokens.DisplaySmallLineHeight,
            letterSpacing = TypeScaleTokens.DisplaySmallTracking,
        )
    val LabelLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.LabelLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.LabelLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.LabelLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.LabelLargeWeight.toInt()),
            fontSize = TypeScaleTokens.LabelLargeSize,
            lineHeight = TypeScaleTokens.LabelLargeLineHeight,
            letterSpacing = TypeScaleTokens.LabelLargeTracking,
        )
    val LabelMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.LabelMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.LabelMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.LabelMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.LabelMediumWeight.toInt()),
            fontSize = TypeScaleTokens.LabelMediumSize,
            lineHeight = TypeScaleTokens.LabelMediumLineHeight,
            letterSpacing = TypeScaleTokens.LabelMediumTracking,
        )
    val LabelSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.LabelSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.LabelSmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.LabelSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.LabelSmallWeight.toInt()),
            fontSize = TypeScaleTokens.LabelSmallSize,
            lineHeight = TypeScaleTokens.LabelSmallLineHeight,
            letterSpacing = TypeScaleTokens.LabelSmallTracking,
        )
    val NumeralExtraLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.NumeralExtraLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.NumeralExtraLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.NumeralExtraLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.NumeralExtraLargeWeight.toInt()),
            fontSize = TypeScaleTokens.NumeralExtraLargeSize,
            lineHeight = TypeScaleTokens.NumeralExtraLargeLineHeight,
            letterSpacing = TypeScaleTokens.NumeralExtraLargeTracking,
        )
    val NumeralExtraSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.NumeralExtraSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.NumeralExtraSmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.NumeralExtraSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.NumeralExtraSmallWeight.toInt()),
            fontSize = TypeScaleTokens.NumeralExtraSmallSize,
            lineHeight = TypeScaleTokens.NumeralExtraSmallLineHeight,
            letterSpacing = TypeScaleTokens.NumeralExtraSmallTracking,
        )
    val NumeralLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.NumeralLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.NumeralLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.NumeralLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.NumeralLargeWeight.toInt()),
            fontSize = TypeScaleTokens.NumeralLargeSize,
            lineHeight = TypeScaleTokens.NumeralLargeLineHeight,
            letterSpacing = TypeScaleTokens.NumeralLargeTracking,
        )
    val NumeralMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.NumeralMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.NumeralMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.NumeralMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.NumeralMediumWeight.toInt()),
            fontSize = TypeScaleTokens.NumeralMediumSize,
            lineHeight = TypeScaleTokens.NumeralMediumLineHeight,
            letterSpacing = TypeScaleTokens.NumeralMediumTracking,
        )
    val NumeralSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.NumeralSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.NumeralSmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.NumeralSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.NumeralSmallWeight.toInt()),
            fontSize = TypeScaleTokens.NumeralSmallSize,
            lineHeight = TypeScaleTokens.NumeralSmallLineHeight,
            letterSpacing = TypeScaleTokens.NumeralSmallTracking,
        )
    val TitleLarge =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.TitleLargeFont.name),
                        weight = FontWeight(TypeScaleTokens.TitleLargeWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.TitleLargeVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.TitleLargeWeight.toInt()),
            fontSize = TypeScaleTokens.TitleLargeSize,
            lineHeight = TypeScaleTokens.TitleLargeLineHeight,
            letterSpacing = TypeScaleTokens.TitleLargeTracking,
        )
    val TitleMedium =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.TitleMediumFont.name),
                        weight = FontWeight(TypeScaleTokens.TitleMediumWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.TitleMediumVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.TitleMediumWeight.toInt()),
            fontSize = TypeScaleTokens.TitleMediumSize,
            lineHeight = TypeScaleTokens.TitleMediumLineHeight,
            letterSpacing = TypeScaleTokens.TitleMediumTracking,
        )
    val TitleSmall =
        DefaultTextStyle.copy(
            fontFamily =
                Font(
                        DeviceFontFamilyName(TypeScaleTokens.TitleSmallFont.name),
                        weight = FontWeight(TypeScaleTokens.TitleSmallWeight.toInt()),
                        variationSettings =
                            TypographyVariableFontsTokens.TitleSmallVariationSettings,
                    )
                    .toFontFamily(),
            fontWeight = FontWeight(TypeScaleTokens.TitleSmallWeight.toInt()),
            fontSize = TypeScaleTokens.TitleSmallSize,
            lineHeight = TypeScaleTokens.TitleSmallLineHeight,
            letterSpacing = TypeScaleTokens.TitleSmallTracking,
        )
}
