/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_87
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.compose.material3.tokens

import androidx.compose.ui.text.font.FontVariation

internal object TypographyVariableFontsTokens {
    val ArcLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.ArcLargeWidth),
            FontVariation.Setting("wght", TypeScaleTokens.ArcLargeWeight),
        )
    val ArcMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.ArcMediumWidth),
            FontVariation.Setting("wght", TypeScaleTokens.ArcMediumWeight),
        )
    val ArcSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.ArcSmallWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.ArcSmallWidth),
        )
    val BodyExtraSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.BodyExtraSmallWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.BodyExtraSmallWidth),
        )
    val BodyLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.BodyLargeWidth),
            FontVariation.Setting("wght", TypeScaleTokens.BodyLargeWeight),
        )
    val BodyMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.BodyMediumWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.BodyMediumWidth),
        )
    val BodySmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.BodySmallWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.BodySmallWidth),
        )
    val DisplayLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.DisplayLargeWidth),
            FontVariation.Setting("wght", TypeScaleTokens.DisplayLargeWeight),
        )
    val DisplayMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.DisplayMediumWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.DisplayMediumWidth),
        )
    val DisplaySmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.DisplaySmallWidth),
            FontVariation.Setting("wght", TypeScaleTokens.DisplaySmallWeight),
        )
    val LabelLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.LabelLargeWidth),
            FontVariation.Setting("wght", TypeScaleTokens.LabelLargeWeight),
        )
    val LabelMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.LabelMediumWidth),
            FontVariation.Setting("wght", TypeScaleTokens.LabelMediumWeight),
        )
    val LabelSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.LabelSmallWidth),
            FontVariation.Setting("wght", TypeScaleTokens.LabelSmallWeight),
        )
    val NumeralExtraLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.NumeralExtraLargeWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.NumeralExtraLargeWidth),
        )
    val NumeralExtraSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.NumeralExtraSmallWidth),
            FontVariation.Setting("wght", TypeScaleTokens.NumeralExtraSmallWeight),
        )
    val NumeralLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.NumeralLargeWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.NumeralLargeWidth),
        )
    val NumeralMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.NumeralMediumWidth),
            FontVariation.Setting("wght", TypeScaleTokens.NumeralMediumWeight),
        )
    val NumeralSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.NumeralSmallWidth),
            FontVariation.Setting("wght", TypeScaleTokens.NumeralSmallWeight),
        )
    val TitleLargeVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wdth", TypeScaleTokens.TitleLargeWidth),
            FontVariation.Setting("wght", TypeScaleTokens.TitleLargeWeight),
        )
    val TitleMediumVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.TitleMediumWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.TitleMediumWidth),
        )
    val TitleSmallVariationSettings =
        FontVariation.Settings(
            FontVariation.Setting("wght", TypeScaleTokens.TitleSmallWeight),
            FontVariation.Setting("wdth", TypeScaleTokens.TitleSmallWidth),
        )
}
